Bug 1129826 - JMS Connection pooling not working with external JNDI lookup
Summary: JMS Connection pooling not working with external JNDI lookup
Keywords:
Status: CLOSED EOL
Alias: None
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: JMS
Version: 6.2.0
Hardware: Unspecified
OS: Unspecified
unspecified
urgent
Target Milestone: ---
: ---
Assignee: Jeff Mesnil
QA Contact: Miroslav Novak
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-13 18:02 UTC by Sudheer
Modified: 2019-08-19 12:49 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-08-19 12:49:37 UTC
Type: Bug


Attachments (Terms of Use)

Description Sudheer 2014-08-13 18:02:58 UTC
Description of problem:

Description from the customer
" In our environment Tibco JMS connection factory objects are stored in LDAP, so to make JMS connections from application deployed on JBoss we configured external JNDI for LDAP lookup and  connection factory objects are mapped to local JNDI using Simple Naming alias configuration.  We are able to lookup & connect to Tibco JMS queues, but connection pool is not created by JBoss container. As per the case notes it is not supported in JBoss EAP since we are doing external JNDI lookup for connection factory objects and then making JMS connections.

In the existing environment (Websphere/WebLogic) connection pool is being created by container for the same setup, so it is a migration show stopper for us from Websphere/WebLogic to JBoss, since each application needs to go through code update for custom connection pooler."

Version-Release number of selected component (if applicable):
EAP 6.2

How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 1 Sudheer 2014-08-13 18:05:09 UTC
They are using EAP cartridge in OpenShift Enterprise.
Are there any alternate solutions as an interim solution ?

Comment 5 Miroslav Novak 2014-08-18 08:24:30 UTC
Hi Sudheer,

for Websphere MQ they must use resource adapter from IBM. There is documentation how to do this in [1].

Thanks,
Mirek

[1] http://documentation-devel.engineering.redhat.com/site/documentation/en-US/JBoss_Enterprise_Application_Platform/6.3/html/Administration_and_Configuration_Guide/Deploy_the_WebSphere_MQ_Resource_Adapter.html

Comment 7 Jeff Mesnil 2014-08-19 13:54:57 UTC
Please have a look at https://access.redhat.com/documentation/en-US/JBoss_Enterprise_Application_Platform/6.2/html/Administration_and_Configuration_Guide/Configure_a_Generic_JMS_Resource_Adapter_for_Use_with_a_Third-party_JMS_Provider.html to use the Generic JMS RA adapter and specify JNDI parameters.

In that case, you would pass all the JNDI parameters in the JndiParameters <config-property> element.


Note You need to log in before you can comment on or make changes to this bug.